package com.hotent.project.manager;

import java.util.List;
import com.hotent.project.model.CostProjectTaskMaterial;
import com.hotent.base.manager.BaseManager;
import com.hotent.base.query.QueryFilter;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 任务定制-报送资料要求 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-09
 */
public interface CostProjectTaskMaterialManager extends BaseManager<CostProjectTaskMaterial> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostProjectTaskMaterial getDetail(String id);
	
	/**
	 * 新建、更新任务定制-报送资料要求
	 * @param costProjectTaskMaterial
	 * @return
	 */
	void createOrUpdate(CostProjectTaskMaterial costProjectTaskMaterial);
	
	/**
	 * 删除任务定制-报送资料要求
	 * @param id
	 */
	void deleteById(String id);
	
	/**
	 * 批量删除任务定制-报送资料要求
	 * @param ids
	 */
	void batchDelete(String[] ids);
	
	
	/**
	 * 根据任务ID获取任务定制-报送资料要求列表
	 * @param taskId
	 * @return
	 */
	List<CostProjectTaskMaterial> listByTaskId(String taskId);
}
